document.getElementById('cognitiveTestForm').addEventListener('submit', function(event) {
  event.preventDefault();
  
  const questions = document.querySelectorAll('select');
  let totalScore = 0;
  
  questions.forEach(question => {
    totalScore += parseInt(question.value);
  });
  
  const resultsSection = document.getElementById('results');
  const scoreElement = document.getElementById('score');
  const recommendationElement = document.getElementById('recommendation');
  
  scoreElement.textContent = totalScore;
  
  if (totalScore <= 5) {
    recommendationElement.textContent = 'Tu perro parece tener una función cognitiva normal.';
  } else if (totalScore <= 10) {
    recommendationElement.textContent = 'Tu perro puede estar mostrando signos leves de disfunción cognitiva. Es recomendable monitorear su comportamiento y consultar con un veterinario.';
  } else {
    recommendationElement.textContent = 'Tu perro puede estar mostrando signos significativos de disfunción cognitiva. Es importante consultar con un veterinario lo antes posible.';
  }
  
  resultsSection.classList.remove('hidden');
});